Bug 243703 - Wrong init script
Summary: Wrong init script
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: nfs-utils
Version: 5.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
: ---
Assignee: Steve Dickson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 237789 243705 243706
TreeView+ depends on / blocked
 
Reported: 2007-06-11 14:11 UTC by Michal Marciniszyn
Modified: 2014-02-10 23:03 UTC (History)
2 users (show)

Fixed In Version: RHBA-2007-0651
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 17:15:37 UTC
Target Upstream Version:


Attachments (Terms of Use)
rpcgssd.diff (1.40 KB, application/octet-stream)
2007-08-31 14:05 UTC, Jan Hutař
no flags Details
rpcidmapd.diff (980 bytes, application/octet-stream)
2007-08-31 14:05 UTC, Jan Hutař
no flags Details
rpcsvcgssd.diff (1.37 KB, application/octet-stream)
2007-08-31 14:06 UTC, Jan Hutař
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0651 normal SHIPPED_LIVE nfs-utils bug fix and enhancement update 2007-10-30 16:19:49 UTC

Description Michal Marciniszyn 2007-06-11 14:11:17 UTC
Description of problem:
The rpcgssd, rpcidmapd and rpcsvcgssd init scripts returns incorrect error
codes. Some constructions in these scripts also prevent the correct status
command call, for example:
if [ ! -f /etc/sysconfig/network ]; then
    exit 0
fi
[ "${NETWORKING}" = "no" ] && exit 0
[ ! -x /usr/sbin/rpc.gssd ] && exit 0
[ "${SECURE_NFS}" != "yes" ] && exit 0

Version-Release number of selected component (if applicable):
all

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
When fixing this bug, please obbey our init script guidelines and be sure that
status command is run correctly.
Our guidelines are on following two pages:
http://intranet.corp.redhat.com/ic/intranet/InitscriptsSpec.html
http://intranet.corp.redhat.com/ic/intranet/InitscriptGuidelines.html

For an example of the script that returns the error codes correctly and always
runs status see:
http://devserv.devel.redhat.com/~mmarcini/amd

This bug is tracked by 237789.

Comment 1 RHEL Program Management 2007-06-11 14:14:55 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Steve Dickson 2007-06-28 13:13:41 UTC
fixed in nfs-utils-1.0.9-22.el5

Comment 6 Jan Hutař 2007-08-31 14:05:24 UTC
Created attachment 183361 [details]
rpcgssd.diff

Comment 7 Jan Hutař 2007-08-31 14:05:42 UTC
Created attachment 183381 [details]
rpcidmapd.diff

Comment 8 Jan Hutař 2007-08-31 14:06:00 UTC
Created attachment 183401 [details]
rpcsvcgssd.diff

Comment 9 Steve Dickson 2007-09-04 10:45:18 UTC
I guess I don't understand why moving all the global 
sanity checking into the start method is a good thing.

What breaks by having these checks at the beginning 
of the script?

Comment 10 Michal Marciniszyn 2007-09-04 12:12:56 UTC
The status command won't be able to run and also the service won't be able to
stop when some of the checks fail. 

Comment 11 Steve Dickson 2007-09-05 14:17:33 UTC
Should the return value of a service that's not configured
be the "program is not configured" value (i.e. 6)? 
Regardless of that command argument was given?

Also before a server is disabled shouldn't the
server be stopped?

Now I'm more than willing to make the appropriate
changes (believe me I don't want to be a pain) but 
I just when through this very exercise with the 
Fedora crowd so I'm concern about make changes
here that will not be acceptable there... 

Comment 12 Michal Marciniszyn 2007-09-12 15:41:34 UTC
There is nice page from Harald Hoyer who is working on new init for fedora. The
recommendations for fedora and RHEL are IMHO consistent, so if you fix the bug
following this page:
http://fedoraproject.org/wiki/PackagingDrafts/SysVInitScript
everything should be OK. (of course RHEL 5 init does not need LSB header and
some othre stuff).

Comment 13 Suzanne Yeghiayan 2007-09-17 19:33:07 UTC
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.

Comment 18 errata-xmlrpc 2007-11-07 17:15:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0651.html



Note You need to log in before you can comment on or make changes to this bug.